Get visibility diff
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/visibility/diff \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/visibility/diff"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/visibility/diff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"current": {
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25",
"totals": {
"primaryCitations": 1,
"competitorCitations": 1,
"otherCitations": 1,
"total": 1,
"primaryShare": 50,
"primaryShareOfAllCitations": 50,
"shareOfVoice": 50
}
},
"previous": {
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25",
"totals": {
"primaryCitations": 1,
"competitorCitations": 1,
"otherCitations": 1,
"total": 1,
"primaryShare": 50,
"primaryShareOfAllCitations": 50,
"shareOfVoice": 50
}
},
"delta": {
"primaryCitations": 123,
"competitorCitations": 123,
"otherCitations": 123,
"primaryShare": 123
},
"timeSeries": [
{
"date": "2023-12-25",
"primaryCitations": 1,
"competitorCitations": 1,
"otherCitations": 1
}
],
"window": {
"days": 123,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25"
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Get visibility diff
Compares the current visibility window with the previous same-length window.
GET
/
projects
/
{projectId}
/
visibility
/
diff
Get visibility diff
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Query Parameters
Fixed rolling window in days. Supported values are 30 and 90. Defaults to 30.
Available options:
30, 90 ⌘I